ServerEvents.recipes(event => {
	
	let alloying = (output, count3, Input1, count1, Input2, count2, time) => { //now supports multiple items in the first slot too
    event.custom({
		"type": "immersiveengineering:alloy",
		"input0": {
			"base_ingredient": {
				"item": Input1
			},
			"count": count1
		},
		"input1": {
		  "base_ingredient": {
			"item": Input2
		  },
		  "count": count2
		},
		"result": {
			"base_ingredient": {
				"item": output
			},
			"count": count3
		},
		"time": time
	  })
	}

	alloying(
		'minecraft:lava_bucket',1,
		'minecraft:bucket',1, 'minecraft:cobblestone',32,
		200
	)

	alloying(
		'minecraft:lava_bucket',1,
		'minecraft:bucket',1,'kubejs:concrete_piece',64,
		2000
	)

	event.remove({output: 'eidolon:pewter_blend'})
	event.remove({output: 'eidolon:pewter_ingot'})
	alloying(
		'eidolon:pewter_ingot',1,
		'minecraft:iron_ingot',1,'thermal:lead_ingot',2,
		200
	)

	alloying(
		'kubejs:heated_concrete',1,
		'ceramicbucket:ceramic_bucket',1,'kubejs:concrete_piece',64,
		2000
	)

	alloying(
		'kubejs:heated_concrete',1,
		'ceramicbucket:ceramic_bucket',1,'minecraft:cobblestone',32,
		200
	)

	event.remove({ id: 'immersiveengineering:alloysmelter/insulating_glass' })
	alloying(
		'immersiveengineering:insulating_glass', 1,
		'minecraft:glass', 2, 'thermal:lead_dust', 1,
		200
	)


	event.remove({id: 'tconstruct:compat/create/andesite_alloy_iron'})
	event.remove({id: 'tconstruct:compat/create/andesite_alloy_zinc'})
	event.remove({id: 'create:crafting/materials/andesite_alloy'})
	event.remove({id: 'create:crafting/materials/andesite_alloy_from_zinc'})
	event.remove({id: 'create:mixing/andesite_alloy'})
	event.remove({id: 'create:mixing/andesite_alloy_from_zinc'})
	alloying(
		'create:andesite_alloy',1,
		'minecraft:cobblestone',1,'supplementaries:ash',2,
		300
	)

	event.recipes.create.mixing('create:andesite_alloy', [
		'minecraft:cobblestone',
		'supplementaries:ash'
	]).lowheated()

	event.smelting(Item.of('ceramicbucket:ceramic_bucket', '{Fluid:{Amount:1000,FluidName:"minecraft:lava"}}'), 
		'kubejs:heated_concrete')



})